com.fasterxml.jackson.dataformat.ion

## Class EnumAsIonSymbolSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Enum<?>>
      - - com.fasterxml.jackson.dataformat.ion.EnumAsIonSymbolSerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.jsonschema.SchemaAware, Serializable

      public class EnumAsIonSymbolSerializer
      extends com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Enum<?>>

  Serializes enumeration members as IonSymbols. Use annotation

       @JsonSerialize(using=EnumAsIonSymbolSerializer.class)

  on enumeration members that should serialize at symbols (which amounts to serializing without being surrounded by double-quotes)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumAsIonSymbolSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType typeHint)`
    `com.fasterxml.jackson.databind.JsonNode` | `getSchema(com.fasterxml.jackson.databind.SerializerProvider provider, Type typeHint)`
    `void` | `serialize(Enum<?> value, com.fasterxml.jackson.core.JsonGenerator g, com.fasterxml.jackson.databind.SerializerProvider provider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer

      `serializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumAsIonSymbolSerializer

          public EnumAsIonSymbolSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Enum<?> value,
                       com.fasterxml.jackson.core.JsonGenerator g,
                       com.fasterxml.jackson.databind.SerializerProvider provider)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<Enum<?>>`
      Throws:
        `IOException`

    - #### acceptJsonFormatVisitor

          public void acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor,
                                     com.fasterxml.jackson.databind.JavaType typeHint)
                                       throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
      Overrides:
        `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Enum<?>>`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### getSchema

          public com.fasterxml.jackson.databind.JsonNode getSchema(com.fasterxml.jackson.databind.SerializerProvider provider,
                                                          Type typeHint)
                                                            throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `getSchema` in interface `com.fasterxml.jackson.databind.jsonschema.SchemaAware`
      Overrides:
        `getSchema` in class `com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<Enum<?>>`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2017 FasterXML. All rights reserved.